- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::Drawable::AttributeFunctor Class Reference

Inheritance diagram for osg::Drawable::AttributeFunctor:

[legend]
List of all members.

## Public Member Functions
virtual | ~AttributeFunctor ()
virtual void | apply (AttributeType, unsigned int, GLbyte *)
virtual void | apply (AttributeType, unsigned int, GLshort *)
virtual void | apply (AttributeType, unsigned int, GLint *)
virtual void | apply (AttributeType, unsigned int, GLubyte *)
virtual void | apply (AttributeType, unsigned int, GLushort *)
virtual void | apply (AttributeType, unsigned int, GLuint *)
virtual void | apply (AttributeType, unsigned int, float *)
virtual void | apply (AttributeType, unsigned int, Vec2 *)
virtual void | apply (AttributeType, unsigned int, Vec3 *)
virtual void | apply (AttributeType, unsigned int, Vec4 *)
virtual void | apply (AttributeType, unsigned int, UByte4 *)

## Constructor & Destructor Documentation

virtual osg::Drawable::AttributeFunctor::~AttributeFunctor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | UByte4 * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | Vec4 * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | Vec3 * |
| ) | `[inline, virtual]`

| Reimplemented in osgUtil::TransformAttributeFunctor.

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | Vec2 * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | float * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | GLuint * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | GLushort * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | GLubyte * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | GLint * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | GLshort * |
| ) | `[inline, virtual]`

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | GLbyte * |
| ) | `[inline, virtual]`

The documentation for this class was generated from the following file:

- Drawable